Subject: bug#20643: 24.5; Please improve documentation of `pcase-let'

From: Stefan Monnier <[email-masked]>
Date: Sun, 24 May 2015 22:39:47 -0400

> The documentation of `pcase-let' is very terse.  Please expand it to
> state what happens to each binding in the case that the pattern of a
> binding matches, in the case where it doesn't match, and in the case
> where there are no binding constructs in a pattern.

I added:

   The macro is expanded and optimized under the assumption that those
   patterns *will* match, so a mismatch may go undetected or may cause
   any kind of error."

-- Stefan